Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(21)

Issue 1900423002: [heap] Merge NewSpacePage into Page (Closed)

Created:
3 years, 7 months ago by Michael Lippautz
Modified:
3 years, 7 months ago
CC:
Hannes Payer (out of office), ulan, v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[heap] Merge NewSpacePage into Page BUG=chromium:581412 LOG=N Committed: https://crrev.com/4e8736da2da2281979cdb0e97a34fd490644bb3d Cr-Commit-Position: refs/heads/master@{#35768}

Patch Set 1 #

Patch Set 2 : Replace Page::FromAllocationTop and Page::FromLimit with Page::FromTopOrLimit #

Patch Set 3 : Replace Page::is_valid with static call Page::IsValid that does not rely on this == nullptr #

Patch Set 4 : More cleanup #

Patch Set 5 : Rebase #

Patch Set 6 : #

Patch Set 7 : Fix after rebase #

Total comments: 1

Patch Set 8 : More cleanup #

Total comments: 4

Patch Set 9 : Addressed comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+250 lines, -343 lines) Patch
M src/heap/heap.h View 1 2 3 4 5 6 7 8 2 chunks +2 lines, -2 lines 0 comments Download
M src/heap/heap.cc View 1 2 3 4 5 6 7 8 5 chunks +9 lines, -7 lines 0 comments Download
M src/heap/heap-inl.h View 3 chunks +3 lines, -3 lines 0 comments Download
M src/heap/incremental-marking.h View 1 chunk +1 line, -1 line 0 comments Download
M src/heap/incremental-marking.cc View 1 2 4 chunks +4 lines, -4 lines 0 comments Download
M src/heap/mark-compact.h View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M src/heap/mark-compact.cc View 1 2 3 4 5 6 7 13 chunks +24 lines, -26 lines 0 comments Download
M src/heap/spaces.h View 1 2 3 4 5 6 7 8 19 chunks +102 lines, -168 lines 0 comments Download
M src/heap/spaces.cc View 1 2 3 4 5 6 7 8 24 chunks +71 lines, -84 lines 0 comments Download
M src/heap/spaces-inl.h View 1 2 3 4 5 6 7 8 8 chunks +26 lines, -39 lines 0 comments Download
M test/cctest/heap/test-heap.cc View 1 2 3 4 5 6 1 chunk +2 lines, -3 lines 0 comments Download
M test/cctest/heap/test-spaces.cc View 1 2 3 chunks +5 lines, -5 lines 0 comments Download

Messages

Total messages: 27 (15 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1900423002/180001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1900423002/180001
3 years, 7 months ago (2016-04-20 15:31:20 UTC) #4
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 7 months ago (2016-04-20 16:25:41 UTC) #6
Michael Lippautz
https://codereview.chromium.org/1900423002/diff/180001/src/heap/spaces.h File src/heap/spaces.h (left): https://codereview.chromium.org/1900423002/diff/180001/src/heap/spaces.h#oldcode571 src/heap/spaces.h:571: bool is_valid() { return address() != NULL; } Replaced ...
3 years, 7 months ago (2016-04-20 17:16:32 UTC) #10
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1900423002/190013 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1900423002/190013
3 years, 7 months ago (2016-04-20 17:37:10 UTC) #12
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 7 months ago (2016-04-20 18:01:41 UTC) #14
Hannes Payer (out of office)
lgtm https://codereview.chromium.org/1900423002/diff/190013/src/heap/spaces.h File src/heap/spaces.h (right): https://codereview.chromium.org/1900423002/diff/190013/src/heap/spaces.h#newcode862 src/heap/spaces.h:862: static Page* FromTopOrLimit(Address address) { Naming nit: Maybe ...
3 years, 7 months ago (2016-04-25 13:36:58 UTC) #15
Michael Lippautz
https://codereview.chromium.org/1900423002/diff/190013/src/heap/spaces.h File src/heap/spaces.h (right): https://codereview.chromium.org/1900423002/diff/190013/src/heap/spaces.h#newcode862 src/heap/spaces.h:862: static Page* FromTopOrLimit(Address address) { On 2016/04/25 13:36:58, Hannes ...
3 years, 7 months ago (2016-04-25 14:15:18 UTC) #16
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1900423002/250001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1900423002/250001
3 years, 7 months ago (2016-04-25 14:23:07 UTC) #19
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 7 months ago (2016-04-25 14:49:44 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1900423002/250001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1900423002/250001
3 years, 7 months ago (2016-04-25 14:50:14 UTC) #24
commit-bot: I haz the power
Committed patchset #9 (id:250001)
3 years, 7 months ago (2016-04-25 14:52:36 UTC) #25
commit-bot: I haz the power
3 years, 7 months ago (2016-04-25 14:53:54 UTC) #27
Message was sent while issue was closed.
Patchset 9 (id:??) landed as
https://crrev.com/4e8736da2da2281979cdb0e97a34fd490644bb3d
Cr-Commit-Position: refs/heads/master@{#35768}

Powered by Google App Engine
This is Rietveld 408576698